---@meta

---@class IUDW_and_Weather_Override_Volume_Interface_C : IInterface
local IUDW_and_Weather_Override_Volume_Interface_C = {}

IUDW_and_Weather_Override_Volume_Interface_C['Force WOV Tick'] = function(self, ) end
IUDW_and_Weather_Override_Volume_Interface_C['Check for Material Refresh'] = function(self, ) end
---@param Spring TMap<UUDS_Weather_Settings_C, double>
---@param Summer TMap<UUDS_Weather_Settings_C, double>
---@param Autumn TMap<UUDS_Weather_Settings_C, double>
---@param Winter TMap<UUDS_Weather_Settings_C, double>
IUDW_and_Weather_Override_Volume_Interface_C['Get Random Weather Probability Maps'] = function(self, Spring, Summer, Autumn, Winter) end
---@param Mode UDS_RandomWeatherTiming::Type
IUDW_and_Weather_Override_Volume_Interface_C['Get Random Weather Mode'] = function(self, Mode) end
---@param Spring FVector2D
---@param Summer FVector2D
---@param Autumn FVector2D
---@param Winter FVector2D
IUDW_and_Weather_Override_Volume_Interface_C['Get Season Temperature Ranges'] = function(self, Spring, Summer, Autumn, Winter) end


